%define name		libxxf86vm
%define version		1.1.4

%define major		1
%define libname		%mklibname xxf86vm %major
%define develname	%mklibname xxf86vm -d
%define staticname	%mklibname xxf86vm -d -s

Name:		libxxf86vm
Summary:	XFree86 Video Mode Extension Library
Version:	1.1.5
Release:	%mkrel 2
Group:		Development/X11
License:	MIT
URL:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXxf86vm-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires: libx11-devel
BuildRequires: libxext-devel
BuildRequires: x11-proto-devel
BuildRequires: x11-util-macros
Obsoletes: 	%{name} < %version

%description
XFree86 Video Mode Extension Library

#-----------------------------------------------------------

%package -n %{libname}
Summary: Shared libraries for %{name}
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libname}
XFree86 Video Mode Extension Library

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libname} = %{version}
Requires: x11-proto-devel >= 7.5
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{mklibname xxf86vm 1 -d}

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libXxf86vm.so
%{_libdir}/pkgconfig/xxf86vm.pc
%{_includedir}/X11/extensions/*.h
%{_mandir}/man3/XF86VidMode*.*
%{_mandir}/man3/XF86VM.*

#-----------------------------------------------------------

%package -n %{staticname}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develname} = %{version}
Provides: %{name}-static-devel = %{version}-%{release}
Obsoletes: %{mklibname xxf86vm 1 -d -s}

%description -n %{staticname}
Static development files for %{name}

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/libXxf86vm.a

#-----------------------------------------------------------

%prep
%setup -q -n libXxf86vm-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la


%clean
rm -rf %{buildroot}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libXxf86vm.so.%{major}*


%changelog
* Wed Aug 02 2023 tex - 1.1.5-2pclos2023
- rebuild against updates

* Tue Sep 27 2022 tex - 1.1.5-1pclos2022
- new version

* Wed Jan 26 2022 tex - 1.1.4-8pclos2022
- rebuild against updates

* Thu Jun 24 2021 tex - 1.1.4-7pclos2021
- rebuild against updates

* Sun Mar 31 2019 tex - 1.1.4-6pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 1.1.4-5pclos2019
- rebuild against updates

* Sat Nov 18 2017 bb2 <bb2> - 1.1.4-4pclos2017.2
- rebuild against updates

* Sun Mar 26 2017 bb2 <bb2> - 1.1.4-3.1pclos2017.1
- rebuilt

